Enhanced event
Get all enhanced events
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **enhanced-event-controller** > `GET /api/enhancedEvents`.
Get raised enhanced events
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **enhanced-event-controller** > `GET /api/enhancedEventsRaised`.
Get entity enhanced events
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **enhanced-event-controller** > `GET /api/entity/{entityType}/{entityId}/enhancedEvents/{eventType}`.